﻿<!DOCTYPE html><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /></head><body>
<%var lang = args["language_type"]; %>
<div id="SetDIAlarm" template='<form action="../cgi-bin/web_cgi_control.cgi" id="settingForm" method="post"><ul class="popul">
                <li id="SetDIAlarmFullName" class="popli"><span>/*[ID_TIPS1]*/:</span>
					 <input class="set_value" name="signal_new_name" pname="signal_new_name" maxlength="32" style="left:15px;width:145px"/>
                </li>
				 <li id="SetDIAlarmAbbrName" class="popli"><span>/*[ID_TIPS2]*/:</span>
					 <input class="set_value" name="signal_new_abbr_name" pname="signal_new_abbr_name" maxlength="32"style="left:15px;width:145px"/>
                </li>
                <li class="popli"><span>/*[ID_TIPS3]*/:</span>
                    <div class="dropdown">
                        <div class="input_select set_value" style="background-position: -327px -243px;" data-index="" name="signal_new_level" pname="signal_new_level">/*[ID_TIPS9]*/</div>
                        <ul class="language yinc">
                             <li><a href="javascript:void(0)" rel="">/*[ID_TIPS4]*/</a></li>
                             <li><a href="javascript:void(0)" rel="0">/*[ID_NA]*/</a></li>
                             <li><a href="javascript:void(0)" rel="1">/*[ID_OA]*/</a></li>
                             <li><a href="javascript:void(0)" rel="2">/*[ID_MA]*/</a></li>
                             <li><a href="javascript:void(0)" rel="3">/*[ID_CA]*/</a></li>
                        </ul>
                    </div>
                </li>
				<li class="popli"><span>/*[ID_TIPS5]*/:</span>
                    <div class="dropdown">
				        <div class="input_select set_value" style="background-position: -327px -243px;" data-index="" name="_alarmReg" pname="_alarmReg">/*[ID_TIPS10]*/</div>
                          <ul class="language yinc">
				             <li><a href="javascript:void(0)" rel="">/*[ID_TIPS6]*/</a></li>
                             <li><a href="javascript:void(0)" rel="0">/*[ID_NA2]*/</a></li>
                             <li><a href="javascript:void(0)" rel="1">IB1-DO1</a></li>
                             <li><a href="javascript:void(0)" rel="2">IB1-DO2</a></li>
                             <li><a href="javascript:void(0)" rel="3">IB1-DO3</a></li>
                             <li><a href="javascript:void(0)" rel="4">IB1-DO4</a></li>
                             <li><a href="javascript:void(0)" rel="5">IB1-DO5</a></li>
                             <li><a href="javascript:void(0)" rel="6">IB1-DO6</a></li>
                             <li><a href="javascript:void(0)" rel="7">IB1-DO7</a></li>
                             <li><a href="javascript:void(0)" rel="8">IB1-DO8</a></li>
                             <li><a href="javascript:void(0)" rel="9">EIB1-DO1</a></li>
                             <li><a href="javascript:void(0)" rel="10">EIB1-DO2</a></li>
                             <li><a href="javascript:void(0)" rel="11">EIB1-DO3</a></li>
                             <li><a href="javascript:void(0)" rel="12">EIB1-DO4</a></li>
                             <li><a href="javascript:void(0)" rel="13">EIB1-DO5</a></li>
                             <li><a href="javascript:void(0)" rel="14">DO1</a></li>
                             <li><a href="javascript:void(0)" rel="15">DO2</a></li>
                             <li><a href="javascript:void(0)" rel="16">DO3</a></li>
                             <li><a href="javascript:void(0)" rel="17">DO4</a></li>
                             <li><a href="javascript:void(0)" rel="18">IB2-DO1</a></li>
                             <li><a href="javascript:void(0)" rel="19">IB2-DO2</a></li>
                             <li><a href="javascript:void(0)" rel="20">IB2-DO3</a></li>
                             <li><a href="javascript:void(0)" rel="21">IB2-DO4</a></li>
                             <li><a href="javascript:void(0)" rel="22">IB2-DO5</a></li>
                             <li><a href="javascript:void(0)" rel="23">IB2-DO6</a></li>
                             <li><a href="javascript:void(0)" rel="24">IB2-DO7</a></li>
                             <li><a href="javascript:void(0)" rel="25">IB2-DO8</a></li>
                             <li><a href="javascript:void(0)" rel="26">EIB2-DO1</a></li>
                             <li><a href="javascript:void(0)" rel="27">EIB2-DO2</a></li>
                             <li><a href="javascript:void(0)" rel="28">EIB2-DO3</a></li>
                             <li><a href="javascript:void(0)" rel="29">EIB2-DO4</a></li>
                             <li><a href="javascript:void(0)" rel="30">EIB2-DO5</a></li>
				        </ul>
				     </div>
                </li>
				<li class="popli"><span>/*[ID_TIPS7]*/:</span>
				 <div class="dropdown">
                            <div class="input_select set_value" style="background-position: -327px -243px;" data-index="" name="signal_new_state" pname="signal_new_state">/*[ID_TIPS8]*/</div>
                     <ul class="language yinc">
                         <li><a href="javascript:void(0)" rel="">/*[ID_TIPS11]*/</a></li>
                         <li><a href="javascript:void(0)" rel="0">/*[ID_LOW]*/</a></li>
                         <li><a href="javascript:void(0)" rel="1">/*[ID_HIGH]*/</a></li>
                    </ul>
                 </div>
                </li>
                <li class="info" id="SetAlarmInfo"></li>
                <li class="btn"><a href="#" hidefocus="true" class="btn_set"><i>/*[ID_SET]*/</i></a></li>
            </ul> </form>'>
        <div class="table-container margin-n">                    
        <div class="table-title"><span>/*[ID_TITLE]*/</span></div>
            <div class="table-list padding-tn">
            <div class="table" id="SetAlarmList">
                <div class="table-header">
                    <ul>
                        <li class="t-1"><strong class="left pl">/*[ID_INDEX]*/</strong></li>
                        <li class="t-2"><strong class="left pl">/*[ID_EQUIPMENT]*/</strong></li>
                        <li class="t-3"><strong class="left pl">/*[ID_SIGNAL_NAME]*/</strong></li>
                        <li class="t-4"><strong class="center pl">/*[ID_ALARM_LEVEL]*/</strong></li>
						<li class="t-5"><strong class="center pl">/*[ID_ALARM_STATE]*/</strong></li>
						<li class="t-6"><strong class="center pl">/*[ID_REPLAY_NUMBER]*/</strong></li>
                        <li class="t-7"><strong class="center pl">/*[ID_MODIFY]*/</strong></li>
                    </ul>
                </div>
                <div class="table-body">
                        <%
                        var nodata = true;
                        var list = data.content;
                        if(list && list.length>0){
                        var AlarmLevels = ["/*[ID_NA1]*/","/*[ID_OA1]*/","/*[ID_MA1]*/","/*[ID_CA1]*/"];
						var AlarmStates = ["/*[ID_LOW1]*/","/*[ID_HIGH1]*/"];
						var AlarmStates1 = ["/*[ID_CLOSE]*/","/*[ID_OPEN]*/"];
                        var RelayTable = [
                                        "NA",
                                        "IB1-DO1",
                                        "IB1-DO2",
                                        "IB1-DO3",
                                        "IB1-DO4",
                                        "IB1-DO5",
                                        "IB1-DO6",
                                        "IB1-DO7",
                                        "IB1-DO8",
                                        "EIB1-DO1",
                                        "EIB1-DO2",
                                        "EIB1-DO3",
                                        "EIB1-DO4",
                                        "EIB1-DO5",
                                        "DO1",
                                        "DO2",
                                        "DO3",
                                        "DO4",
                                        "IB2-DO1",
                                        "IB2-DO2",
                                        "IB2-DO3",
                                        "IB2-DO4",
                                        "IB2-DO5",
                                        "IB2-DO6",
                                        "IB2-DO7",
                                        "IB2-DO8",
                                        "EIB2-DO1",
                                        "EIB2-DO2",
                                        "EIB2-DO3",
                                        "EIB2-DO4",
                                        "EIB2-DO5"
                                    ];
                        						
                        for(var i=0,ilen=list.length;i<ilen; i++){
                        nodata = false;
                    %>
                    <ul  class= "<%if(i%2==0){%> gray <%if(i==ilen-1){ %> bottom_line <%}}else{ %><%if(i==ilen-1){ %> bottom_line2 <%}} %>" id="AlarmSignal_<%=list[i][1][0] %>_<%=list[i][1][1] %>_<%=list[i][1][2] %>">
                        <li class="t-1"><span class="left pl"><%=i+1%></span></li>
                        <li class="t-2"><span class="left pl"><%=list[i][1][5][lang] %></span></li>
                        <li class="t-3"><span class="left pl"><%=list[i][1][6][lang] %></span></li>
						<%var iAlarmLevel = list[i][1][4];%>
                        <li class="t-4"><span class="center pl"><%=AlarmLevels[iAlarmLevel] %></span></li>
                        <%var iAlarmState = list[i][2][3];%>
                        <%if((list[i][2][0]>=1766)&&(list[i][2][0]<=1769)){%>
                        <li class="t-5"><span class="center pl"><%=AlarmStates1[iAlarmState] %></span></li>
                        <%}else{ %>
                        <li class="t-5"><span class="center pl"><%=AlarmStates[iAlarmState] %></span></li>
                        <%} %>
						<%var iRelayNum = list[i][1][3];%>
                        <li class="t-6"><span class="center pl"><%if(iRelayNum==0){ %>/*[ID_NA3]*/<%} else { %><%=RelayTable[iRelayNum] %><%} %></span></li>
						<li class="t-7"><a href="javascript:void(0);" hidefocus="true" class="btn_set" post="language_type=<%=lang %>&equip_ID=<%=list[i][1][0]%>&signal_type=<%=list[i][1][1]%>&signal_id=<%=list[i][1][2]%>&equip2_ID=<%=list[i][2][0]%>&signal2_type=<%=list[i][2][1]%>&signal2_id=<%=list[i][2][2]%>&control_value=&control_type=20"  modifydatas='{"signal_new_name":"<%=list[i][1][6][lang]%>","signal_new_abbr_name":"<%=list[i][1][7][lang]%>","signal_new_level":"<%=list[i][1][4]%>","_alarmReg":"<%=list[i][1][3]%>","signal_new_state":"<%=list[i][2][3]%>"}'><i>/*[ID_MODIFY1]*/</i></a></li>
                    </ul>
                    <%};} %>
                    <%if(nodata){ %>
                        <div class="system-no-data">/*[ID_NO_DATA]*/</div>
                    <%} %>

                </div>
            </div>
        </div>
        </div>
    </div>
</body></html>
<script>
        if(!(window.location.href.toString().indexOf("hl")>-1))
        {
            var IPurl = window.location.href.toString().split("app")[0];
            window.location.href=""+IPurl+"app/www_user/html/eng/login.html";
        }
</script>